package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseRequest;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;
import org.hibernate.validator.constraints.Length;

/**
 * RoleResCreateRequest - 角色资源关系新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class RoleResCreateRequest extends BaseRequest {

    /**
     * 角色主键
     */
    @NotNull(message = "[roleId]角色主键不能为NULL")
    private Long roleId;

    /**
     * 角色代码
     */
    @NotBlank(message = "[roleCode]角色代码不能为空")
    @Length(min = 0, max = 50, message = "[roleCode]角色代码长度不合法(0-50)")
    private String roleCode;

    /**
     * 资源主键
     */
    @NotNull(message = "[resId]资源主键不能为NULL")
    private Long resId;

    /**
     * 资源代码
     */
    @NotBlank(message = "[resCode]资源代码不能为空")
    @Length(min = 0, max = 50, message = "[resCode]资源代码长度不合法(0-50)")
    private String resCode;

    public Long getRoleId() {
        return this.roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public String getRoleCode() {
        return this.roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public Long getResId() {
        return this.resId;
    }

    public void setResId(Long resId) {
        this.resId = resId;
    }

    public String getResCode() {
        return this.resCode;
    }

    public void setResCode(String resCode) {
        this.resCode = resCode;
    }
}
